# Retrieve Loan Charges Template

`GET /lokta-lms/api/v1/loans/{loanId}/charges/template`

Returns the field defaults and allowed values for adding a charge to a loan.

This is a convenience resource. It can be useful when building maintenance user interface screens for client applications. The template data returned consists of any or all of:

Field Defaults
Allowed description Lists
Example Request:

loans/1/charges/template

## Parameters
- `loanId` (path, integer, required): loanId

## Responses
- `200`: OK

## Response fields
- `amountPaid` (number)
- `amountWaived` (number)
- `amountWrittenOff` (number)
- `chargeOptions` (array of GetLoanChargeTemplateChargeOptions)
- `penalty` (boolean)

## Example request (cURL)
```bash
curl -X GET \
  'https://default.lokta.tech/lokta-lms/api/v1/loans/{loanId}/charges/template' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
{
  "amountPaid": 0,
  "amountWaived": 0,
  "amountWrittenOff": 0,
  "chargeOptions": [
    {}
  ]
}
```

Interactive: https://developer.lokta.ai/reference#operation/retrieveTemplateLoanCharge
